Subject: bug#9810: cw in viper mode clobbers clipboard

From: Lennart Borgman <[email-masked]>
Date: Thu, 20 Oct 2011 18:25:17 +0200

On Thu, Oct 20, 2011 at 18:18, Bob Nnamtrop <[email-masked]> wrote:
> As the title says, in viper command mode typing cw (ie change word)
> causes the emacs clipboard (not sure the proper name for it, but the
> thing I expect a middle mouse button to paste into the buffer) to get
> clobbered. This is a regression over all previous versions (actually I
> remember this bug occurring a long time ago and getting fixed so
> something must have broken it again). To replicate:
>
> emacs -Q
> M-x viper
> i (ie, go into insert mode)
> asdf hjkl (type a few words)
> <escape> (ie, go into command mode)
> click on the 'a' (or move there any way you want)
> double click to put 'asdf' into emacs clipboard (ie X11 clipboard,
> primary, whatever)
> click on the 'h' (or move there any way you want)
> cw (ie viper command to change word)j
> <middle mouse click> (to paste the clipboard, or yank or whatever
> emacs calls it :-)
> hjkl is pasted in
>
> But 'asdf' should have been pasted in. This also occurs with other
> commands like 'ct', etc. This is very annoying and I cannot imagine
> using the new version if this is not fixed.

I think the current behavior is the correct one. Why do you think it
is in error?